Package org.apache.batchee.jaxrs.server

## Class JBatchResourceImpl

- java.lang.Object
- - org.apache.batchee.jaxrs.server.JBatchResourceImpl

- All Implemented Interfaces:
    `JBatchResource`

      @Consumes("application/json")
      @Produces("application/json")
      @Path("batchee")
      public class JBatchResourceImpl
      extends Object
      implements JBatchResource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchResourceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abandon​(long executionId)` |
    `void` | `findOperator()` |
    `RestJobExecution` | `getJobExecution​(long executionId)` |
    `RestJobExecution[]` | `getJobExecutions​(long id, String name)` |
    `RestJobInstance` | `getJobInstance​(long executionId)` |
    `int` | `getJobInstanceCount​(String jobName)` |
    `RestJobInstance[]` | `getJobInstances​(String jobName, int start, int count)` |
    `String[]` | `getJobNames()` |
    `RestProperties` | `getParameters​(long executionId)` |
    `Long[]` | `getRunningExecutions​(String jobName)` |
    `RestStepExecution[]` | `getStepExecutions​(long jobExecutionId)` |
    `long` | `restart​(long executionId, RestProperties restartParameters)` |
    `long` | `start​(String jobXMLName, RestProperties jobParameters)` |
    `void` | `stop​(long executionId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBatchResourceImpl

          public JBatchResourceImpl()

  - ### Method Detail

    - #### findOperator

          @PostConstruct
          public void findOperator()

    - #### getJobNames

          @GET
          @Path("job-names")
          public String[] getJobNames()

      Specified by:
        `getJobNames` in interface `JBatchResource`

    - #### getJobInstanceCount

          @GET
          @Path("job-instance/count/{name}")
          @Produces("text/plain")
          public int getJobInstanceCount​(@PathParam("name")
                                         String jobName)

      Specified by:
        `getJobInstanceCount` in interface `JBatchResource`

    - #### getJobInstances

          @GET
          @Path("job-instances/{name}")
          public RestJobInstance[] getJobInstances​(@PathParam("name")
                                                   String jobName,
                                                   @QueryParam("start")
                                                   int start,
                                                   @QueryParam("count")
                                                   int count)

      Specified by:
        `getJobInstances` in interface `JBatchResource`

    - #### getRunningExecutions

          @GET
          @Path("executions/running/{name}")
          public Long[] getRunningExecutions​(@PathParam("name")
                                             String jobName)

      Specified by:
        `getRunningExecutions` in interface `JBatchResource`

    - #### getParameters

          @GET
          @Path("execution/parameter/{id}")
          public RestProperties getParameters​(@PathParam("id")
                                              long executionId)

      Specified by:
        `getParameters` in interface `JBatchResource`

    - #### getJobInstance

          @GET
          @Path("job-instance/{id}")
          public RestJobInstance getJobInstance​(@PathParam("id")
                                                long executionId)

      Specified by:
        `getJobInstance` in interface `JBatchResource`

    - #### getJobExecutions

          @GET
          @Path("job-executions/{id}/{name}")
          public RestJobExecution[] getJobExecutions​(@PathParam("id")
                                                     long id,
                                                     @PathParam("name")
                                                     String name)

      Specified by:
        `getJobExecutions` in interface `JBatchResource`

    - #### getJobExecution

          @GET
          @Path("job-execution/{id}")
          public RestJobExecution getJobExecution​(@PathParam("id")
                                                  long executionId)

      Specified by:
        `getJobExecution` in interface `JBatchResource`

    - #### getStepExecutions

          @GET
          @Path("step-executions/{id}")
          public RestStepExecution[] getStepExecutions​(@PathParam("id")
                                                       long jobExecutionId)

      Specified by:
        `getStepExecutions` in interface `JBatchResource`

    - #### start

          @POST
          @Path("execution/start/{name}")
          @Produces("text/plain")
          public long start​(@PathParam("name")
                            String jobXMLName,
                            RestProperties jobParameters)

      Specified by:
        `start` in interface `JBatchResource`

    - #### restart

          @POST
          @Path("execution/restart/{id}")
          @Produces("text/plain")
          public long restart​(@PathParam("id")
                              long executionId,
                              RestProperties restartParameters)

      Specified by:
        `restart` in interface `JBatchResource`

    - #### stop

          @HEAD
          @Path("execution/stop/{id}")
          public void stop​(@PathParam("id")
                           long executionId)

      Specified by:
        `stop` in interface `JBatchResource`

    - #### abandon

          @HEAD
          @Path("execution/abandon/{id}")
          public void abandon​(@PathParam("id")
                              long executionId)

      Specified by:
        `abandon` in interface `JBatchResource`